### File

`packages/eui-ecl/packages/core/src/lib/components/ecl-gallery/ecl-gallery-item.component.ts`

### Implements

`OnInit` `EclGalleryItem`

### Metadata

selector | `ecl-gallery-item`
styles | `:host { display: list-item; } .ecl-gallery__description { width: 100%; }`
templateUrl | `./ecl-gallery-item.component.html`

### Index

###### Methods
getDownloadLink getUrlExternalVideo
###### Inputs
description icon label mediaType meta sources src styleClass thumbnailSrc tracks
###### Outputs
itemClick
###### HostBindings
class
###### HostListeners
click
###### Accessors
isImage isVideo isExternalVideo isDownloadable isShareable

### Constructor

`constructor(domSanitizer: DomSanitizer)`
Parameters :
Name | Type | Optional
domSanitizer | `DomSanitizer` | No

### Inputs

description
Type : `string`

icon
Type : `string`

label
Type : `string`

mediaType
Type : `"image" | "video" | "externalVideo"`
Default value : `'image'`

meta
Type : `string`

sources
Type : `Array<EclMediaSource>`
Default value : `[]`

src
Type : `string`

styleClass
Type : `string`

thumbnailSrc
Type : `string`

tracks
Type : `Array<EclMediaTrack>`
Default value : `[]`

### Outputs

itemClick
Type : `EventEmitter`

### HostBindings

class
Type : `any`

### HostListeners

click
Arguments : `'$event'`
`click(evt: MouseEvent)`

### Methods

getDownloadLink
`getDownloadLink()`
Returns : `any`

getUrlExternalVideo
`getUrlExternalVideo()`
Returns : `any`

### Accessors

isImage
get `isImage()`

isVideo
get `isVideo()`

isExternalVideo
get `isExternalVideo()`

isDownloadable
get `isDownloadable()`

isShareable
get `isShareable()`

# result-matching ""

# No results matching ""